@extends('manager::layouts.master')

@section('content')
    <ul class="breadcrumb">
        <li>
            <a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span>
        </li>
        <li class="active">Mídias</li>
    </ul><!-- .breadcrumb --> 

    <div class="page-header">
        <div class="pull-left">
            <h3>Mídias</h3>
        </div><!-- .pull-left --> 

        <div class="pull-right">
            <a href="{{ route('manager.midias.model.destroyAll', array($model->id, $media_model)) }}" class="btn btn-danger" data-delete><i class="icon-trash icon-white"></i> Excluir todas as mídias</a>
        </div><!-- .pull-right --> 

        <div class="clearfix"></div>
    </div><!-- .page-header --> 
    
    {{ Msg::getAll() }}

    <form action="{{ route('manager.midias.model.store', array($model->id, $media_model)) }}" method="post" enctype="multipart/form-data" class="form-horizontal" id="form-media">
        <legend>Inserir fotos</legend>

        <fieldset>
            <div class="control-group">
                <label for="files" class="control-label">Selecione as imagens</label>

                <div class="controls">
                    <input type="file" name="files[]" id="files" accept="image/jpg,image/jpeg,image/png" multiple class="input-xxlarge" />
                </div><!-- .controls --> 
            </div><!-- .control-group --> 
        </fieldset>

        <div class="form-actions">
            <input type="submit" value="Inserir fotos" class="btn btn-primary" data-loading-text="Salvando..." />
        </div>
    </form>

    <hr />
    
    @if (count($medias) > 0)
        <p>Para alterar a ordem das fotos, clique e arraste a foto até a posição desejada.</p>

        <ul class="thumbnails">
            @foreach ($medias as $media)
                <li class="span3" data-media data-id="{{ $media->id }}">
                    <div class="thumbnail" style="cursor: move">
                        <img src="{{ \EscapeWork\Manager\Medias\Model\Media::$url }}thumb-{{ $media->file }}" alt="{{ $media->legend }}">

                        <div class="caption">
                            <input type="text" name="legend" class="input-block-level" value="{{ $media->legend }}" placeholder="Legenda" />
                            <input type="text" name="credits" class="input-block-level" value="{{ $media->credits }}" placeholder="Créditos" />

                            <div class="pull-right btn-group">
                                <a href="#" class="btn btn-primary btn-small btn-refresh" title="Atualizar" data-id="{{ $media->id }}">
                                    <i class="icon-refresh icon-white"></i>
                                    <span class="btn-text">Atualizar</span>
                                </a>
                                <a href="{{ route('manager.midias.model.destroy', array($model->id, $media_model, $media->id)) }}" class="btn btn-danger btn-small" title="Excluir" data-delete="true">
                                    <i class="icon-trash icon-white"></i> 
                                    Excluir
                                </a>
                            </div><!-- .pull-right --> 

                            <div class="clearfix"></div>
                        </div><!-- .caption --> 
                    </div><!-- .thumbnail --> 
                </li>
            @endforeach
        </ul>
    @else
        <p>
            Nenhuma foto foi cadastrada para o produto até o momento.
        </p>
    @endif
@stop

@section('scripts')
    @parent

    <script type="text/javascript" src="/packages/escapework/manager-medias/assets/javascripts/js/index.js"></script>
@stop